Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ListAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.utils.action.ListAction

All Implemented Interfaces:
  Action

    public class ListAction

extends AbstractAction

A ListAction executes a set of Actions.

(Unpublished)
Modified:
  sgarg 06/17/2003 Added getActions() method, sgarg 05/10/2002 Added a System.out, lsaenz 08/02/2000 Added support for handling failures; improved stop method., lsaenz 07/12/2000 Added getActionCount method; changed name to ListAction., lsaenz 07/07/2000 Changed to extend AbstractAction., lsaenz 07/06/2000 Created.

Field Summary

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Constructor Summary
`ListAction()` Creates a new, empty ListAction.

Method Summary
`void` | `addAction(Action action)` Adds an Action to the this ListAction's queue.
`void` | `failed(java.lang.Throwable error)` Invokes the `failed` method on the current Action that is being performed by this ListAction.
`int` | `getActionCount()` Returns the number of Actions in this ListAction.
`protected java.util.Enumeration` | `getActions()` Returns the Actions in this ListAction.
`void` | `perform()` Executes every Action that has been added to this ListAction's queue.
`void` | `stop()` Attempts to stop the currently executing Action and ensures that no more Actions in this ListAction will be performed.

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListAction

    public ListAction()

  Creates a new, empty ListAction.

Method Detail

### addAction

    public void addAction(Action action)

  Description copied from class: `ListAction`
  Adds an Action to the this ListAction's queue.

### getActionCount

    public int getActionCount()

  Description copied from class: `ListAction`
  Returns the number of Actions in this ListAction.

### getActions

    protected java.util.Enumeration getActions()

  Description copied from class: `ListAction`
  Returns the Actions in this ListAction.

### perform

    public void perform()
                 throws ActionFailedException

  Description copied from class: `ListAction`
  Executes every Action that has been added to this ListAction's queue.

  Throws:
    `ActionFailedException` - if the action could not be performed.

### stop

    public void stop()

  Description copied from class: `ListAction`
  Attempts to stop the currently executing Action and ensures that no more Actions in this ListAction will be performed.

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `ListAction`
  Invokes the `failed` method on the current Action that is being performed by this ListAction.

  Parameters:
    `error` - the error that occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD